Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.configuration
Class PlatformConfiguration

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.sshtools.daemon.configuration.PlatformConfiguration

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class PlatformConfiguration
extends org.xml.sax.helpers.DefaultHandler

DOCUMENT ME!

Constructor Summary
`protected` | `PlatformConfiguration(java.io.InputStream in)` Creates a new PlatformConfiguration object.

Method Summary
`boolean` | `containsSetting(java.lang.String name)` DOCUMENT ME!
`java.lang.String` | `getNativeAuthenticationProvider()` DOCUMENT ME!
`java.lang.String` | `getNativeFileSystemProvider()` DOCUMENT ME!
`java.lang.String` | `getNativeProcessProvider()` DOCUMENT ME!
`java.lang.String` | `getSetting(java.lang.String name)` DOCUMENT ME!
`java.lang.String` | `getSetting(java.lang.String name, java.lang.String defaultValue)` DOCUMENT ME!
`java.util.Map` | `getVFSMounts()` DOCUMENT ME!
`VFSMount` | `getVFSRoot()` DOCUMENT ME!
`void` | `reload(java.io.InputStream in)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformConfiguration

    protected PlatformConfiguration(java.io.InputStream in)
                             throws org.xml.sax.SAXException,
                                    javax.xml.parsers.ParserConfigurationException,
                                    java.io.IOException

  Creates a new PlatformConfiguration object.

Parameters:
  `in` - DOCUMENT ME!
Throws:
  `org.xml.sax.SAXException` - DOCUMENT ME!
  `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### reload

    public void reload(java.io.InputStream in)
                throws org.xml.sax.SAXException,
                       javax.xml.parsers.ParserConfigurationException,
                       java.io.IOException

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!
    `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### getVFSMounts

    public java.util.Map getVFSMounts()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getNativeAuthenticationProvider

    public java.lang.String getNativeAuthenticationProvider()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getNativeFileSystemProvider

    public java.lang.String getNativeFileSystemProvider()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getNativeProcessProvider

    public java.lang.String getNativeProcessProvider()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSetting

    public java.lang.String getSetting(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getSetting

    public java.lang.String getSetting(java.lang.String name,
                                       java.lang.String defaultValue)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `defaultValue` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### containsSetting

    public boolean containsSetting(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getVFSRoot

    public VFSMount getVFSRoot()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD